Subject: bug#34343: [PATCH] Make project--find-regexp-in-files work with remote files

From: Felician Nemeth <[email-masked]>
Date: Mon, 06 Jan 2020 18:29:58 +0100

Hi Dmitry,

>> So I've pushed a more simplistic patch to emacs-27 (commit be38e39fcc).
>>
>> Felicián and Michael, please take a look.

I ran some simple tests and project-file-regexp on a remote project also
works for me.  I cannot comment on the performance issues but I'm
grateful for your and Michael's work on that. 

(I guess it's an independent issue, because it seems project-search is
implemented differently, but if I project-search for something and the
point is below a match in a non-visible buffer, then project-search pops
the buffer, but doesn't move the point to the matching string.)

Thanks,
Felicián